ReverseRecords

related to reverse DNS records

Retrieves existing reverse DNS records

get

Returns a list of the reverse records of the customer. Default limit is the first 100 items. Use pagination query parameters to list more items.

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Query parameters
filter.recordIpstring[]Optional

Filter is used to fetch only the reverse records for the specified IPs. It's an array of IP records. IP can be any valid IPv4 or IPv6 address. Parameter has to be sent in query as many times as values (filter.recordIp=1.2.3.4&filter.recordIp=2.3.4.5)

offsetinteger · int32Optional

The first element (of the total list of elements) to include in the response. Use together with limit for pagination.

Default: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return. Use together with offset for pagination.

Default: 100
Responses
chevron-right
200

Successful operation.

application/json
idstring · uuidRequired

ID (UUID) created to identify this action.

Example: e74d0d15-f567-4b7b-9069-26ee1f93bae3
typestring · enumRequiredPossible values:
hrefstring · uriRead-onlyRequiredExample: <RESOURCE-URI>
offsetnumberRead-onlyRequired

Pagination offset.

Example: 0
limitnumberRead-onlyRequired

Pagination limit.

Example: 1000
get
/reverserecords

Create a reverse DNS record

post

Creates a new reverse DNS record. Reverse DNS is applicable to IPv4 addresses within IP Blocks and IPv6 addresses of the VDC.

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Body
Responses
post
/reverserecords

Retrieve a reverse DNS record

get

Returns the record with the specified record ID.

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
reverserecordIdstring · uuidRequired

The ID (UUID) of the reverse DNS record.

Responses
chevron-right
200

Successful operation.

application/json
idstring · uuidRequired

The reverse DNS record ID (UUID).

Example: e74d0d15-f567-4b7b-9069-26ee1f93bae3
typestring · enumRequiredPossible values:
hrefstring · uriRead-onlyRequiredExample: <RESOURCE-URI>
get
/reverserecords/{reverserecordId}

Update a reverse DNS record

put

Updates or creates a reverse DNS record for the provided reverse DNS record ID.

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
reverserecordIdstring · uuidRequired

The ID (UUID) of the reverse DNS record.

Body
Responses
chevron-right
200

Successful operation.

application/json
idstring · uuidRequired

The reverse DNS record ID (UUID).

Example: e74d0d15-f567-4b7b-9069-26ee1f93bae3
typestring · enumRequiredPossible values:
hrefstring · uriRead-onlyRequiredExample: <RESOURCE-URI>
put
/reverserecords/{reverserecordId}

Delete a reverse DNS record

delete

Deletes a reverse DNS record.

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
reverserecordIdstring · uuidRequired

The ID (UUID) of the reverse DNS record.

Responses
delete
/reverserecords/{reverserecordId}

Last updated

Was this helpful?